# std::complex::operator+=,-=,*=,/=

From cppreference.com
< cpp‎ | numeric‎ | complex

complex<T>& operator+=( const T& other ); | (1) |
template< class X > complex<T>& operator+=( const complex<X>& other ); | (2) |
complex<T>& operator-=( const T& other ); | (3) |
template< class X > complex<T>& operator-=( const complex<X>& other ); | (4) |
complex<T>& operator*=( const T& other ); | (5) |
template< class X > complex<T>& operator*=( const complex<X>& other ); | (6) |
complex<T>& operator/=( const T& other ); | (7) |
template< class X > complex<T>& operator/=( const complex<X>& other ); | (8) |

Implements the compound assignment operators for complex arithmetic and for mixed complex/scalar arithmetic. Scalar arguments are treated as complex numbers with the real part equal to the argument and the imaginary part set to zero.

1-2) Adds `other` to *this.
3-4) Subtracts `other` from *this.
5-6) Multiplies *this by `other`.
7-8) Divides *this by `other`.

### Parameters

other | - | a complex or scalar value of matching type (float, double, long double)

### Return value

*this

### See also

operator+operator- | applies unary operators to complex numbers (function template)
operator+operator-operator*operator/ | performs complex number arithmetics on two complex values or a complex and a scalar (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/complex/operator_arith&oldid=77765"